Package org.kie.api.internal.assembler

## Interface KieAssemblerService

- All Superinterfaces:
    `java.lang.Comparable<KieService>`, `KieService`

      public interface KieAssemblerService
      extends KieService

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.internal.utils.KieService

      `UNDEFINED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `addResourceAfterRules​(java.lang.Object kbuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `default void` | `addResourceBeforeRules​(java.lang.Object kbuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `default void` | `addResourcesAfterRules​(java.lang.Object kbuilder, java.util.Collection<ResourceWithConfiguration> resources, ResourceType type)` |
    `default void` | `addResourcesBeforeRules​(java.lang.Object kbuilder, java.util.Collection<ResourceWithConfiguration> resources, ResourceType type)` |
    `ResourceType` | `getResourceType()` |

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority, serviceTag`

- - ### Method Detail

    - #### getResourceType

          ResourceType getResourceType()

    - #### addResourceBeforeRules

          default void addResourceBeforeRules​(java.lang.Object kbuilder,
                                              Resource resource,
                                              ResourceType type,
                                              ResourceConfiguration configuration)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addResourcesBeforeRules

          default void addResourcesBeforeRules​(java.lang.Object kbuilder,
                                               java.util.Collection<ResourceWithConfiguration> resources,
                                               ResourceType type)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addResourceAfterRules

          default void addResourceAfterRules​(java.lang.Object kbuilder,
                                             Resource resource,
                                             ResourceType type,
                                             ResourceConfiguration configuration)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addResourcesAfterRules

          default void addResourcesAfterRules​(java.lang.Object kbuilder,
                                              java.util.Collection<ResourceWithConfiguration> resources,
                                              ResourceType type)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`